REST API call to save repository file sever (DLP Discover)

Prev Next

Use this REST API call to save the File Server recording in a database and satisfying conditions as per the request.

POST request URL

https://<epo_server_name:port>/rest/dlp/discover/saveRepo

Where, epo_server_name:port is the server IP address and port number.

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

catalogItemTypeId

Required

String

subItemType

Optional

String

catalogId

Required

String

catalogItemName

Required

String

description

Optional

String

catalogItemId

Required

String

overrideValidation

Required

String

Sample POST request URL

https://172.27.108.53:8443/rest/dlp/discover/saveRepo

{

"catalogItemTypeId" : "87",

"subItemType" : "",

"catalogId" :"d3ab4ed4-efab-48d2-840d-714cbf76b888",

"catalogItemName" : "File Server (40)",

"description" :"",

"catalogItemId" :"00000000-0000-0000-0000-000000000000",

"overrideValidation" :false

}

Sample cURL command

curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/discover/saveRepo' -u '<user>:<password>'

--data-raw '{

"catalogItemTypeId" : "87",

"subItemType" : "",

"catalogId" :"d3ab4ed4-efab-48d2-840d-714cbf76b888",

"catalogItemName" : "File Server (40)",

"description" :"",

"catalogItemId" :"00000000-0000-0000-0000-000000000000",

"overrideValidation" :false

}'

Response parameters

These parameters are returned for the API request. The response to this API call returns the Successfully Inserted

Element

Description

Data type

Successfully inserted

String

Sample request

Sample request

{
    "catalogItemTypeId" : "87",
    "subItemType" : "",
    "catalogId" :"d3ab4ed4-efab-48d2-840d-714cbf76b888",
    "catalogItemName" : "File Server (41)",
    "description" :"",
    "catalogItemId" :"00000000-0000-0000-0000-000000000000",
    "overrideValidation" :false
}
Successfully saved File Server(1) repository.

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

Successfully received Item Ids and name satisfying conditions in request.

400 Bad Request

Returns a bad request if the value of requested parameters are invalid.

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-premorion.log file for more details about the error.